package it.unibo.stradivarius.intentcaller;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends AppCompatActivity {

    private static final String ACTION_CHECK = "it.unibo.stradivarius.intentcaller.ACTION_CHECK";
    Button btn;
    EditText edt;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        edt = findViewById(R.id.editText);
        btn = findViewById(R.id.button);

        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                int start = edt.getSelectionStart();
                int end = edt.getSelectionEnd();
                String substr = edt.getText().toString().substring(start, end);
                Intent i = new Intent();
                i.setAction(ACTION_CHECK);
                i.putExtra("word", substr);
                startActivity(i);
            }
        });
    }
}
