package it.unibo.stradivarius.intentreceiver;

import androidx.appcompat.app.AppCompatActivity;

import android.app.SearchManager;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    String word;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Intent i = getIntent();
        if (i.getExtras() != null) {
            word = i.getExtras().getString("word");
            Log.d("INTENT", word);
        } else {
            word = "default search";
        }

        TextView tw = findViewById(R.id.textView);
        if (word.equals("Android")) {
            tw.setText("Operating System for Smartphones");
        } else {
            tw.setText("No match found for " + word + ", " +
                    "hit the Search button for a Google Search!");
        }

        Button btn = findViewById(R.id.button);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(Intent.ACTION_WEB_SEARCH);
                i.putExtra(SearchManager.QUERY, word);
                startActivity(i);
            }
        });



    }
}
